-- 基础信息
base_info = {
	group_id = 111101219
}

-- DEFS_MISCS
defs = {
	group_id = 111101219,
	torch_list = {219001,219002,219003,219004,219005}, --这里填所有的火把configid
	torch_solution = {219001,219003,219005}, --这里填解密的正确解的火把id
	chest_id = 219006,--刷新的宝箱configId
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 219001, gadget_id = 70310011, pos = { x = 2328.969, y = 257.877, z = -1464.895 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 219002, gadget_id = 70310011, pos = { x = 2330.105, y = 258.434, z = -1458.746 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 219003, gadget_id = 70310011, pos = { x = 2334.465, y = 258.768, z = -1456.333 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 219004, gadget_id = 70310011, pos = { x = 2338.088, y = 258.726, z = -1453.786 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 219005, gadget_id = 70310011, pos = { x = 2342.539, y = 258.940, z = -1457.114 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 219006, gadget_id = 70310002, pos = { x = 2335.982, y = 258.630, z = -1461.105 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 219007, gadget_id = 70710010, pos = { x = 2337.003, y = 258.426, z = -1463.067 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
	{ config_id = 1, name = "Finished", value = 0, no_refresh = true }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 219001, 219002, 219003, 219004, 219005 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 219007 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/TsurumiTorch"
